<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateGrievanceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('grievance', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('grievance_type_id')->nullable();
            $table->bigInteger('submitted_by')->nullable();
            $table->dateTime('submitted_date')->nullable();
            $table->text('grievance')->nullable();
            $table->tinyInteger('status')->default('0');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('grievance');
    }
}
